> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1domains 1



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/domains/{domain_id}
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/domains/{domain_id}:
    get:
      tags:
        - domains
      operationId: get_domain
      parameters:
        - name: domain_id
          in: path
          description: Domain ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Domain details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    DomainResponse:
      type: object
      description: Response type for domain operations.
      required:
        - domain_id
        - vm_id
        - domain
        - created_at
      properties:
        created_at:
          type: string
          format: date-time
        domain:
          type: string
        domain_id:
          type: string
          format: uuid
        vm_id:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````